//	xmmexposure.h --- abstract class for updating exposure information
//
//	DESCRIPTION:
//
//	AUTHOR:
//		D. Hinshaw
//

#ifndef XMMEXPOSE
#define XMMEXPOSE

#include "Dal.h"
#include "Gti.h"
#include "Xmm.h"

class XmmExposure {

public:

  XmmExposure(Table *eventTable);

//  enum InstType {Emos1=1, Emos2, Epn, Rgs1, Rgs2, Invalid};

  void updateOntime();
  
  void updateLivetime();

  real64 liveTime(unsigned ccdNr);

private:

  void _getGtiLists();
  real64 _getLiveTime(unsigned ccdRef);

  DataSet *_set;
  Table *_eventTable;
  vector<unsigned> _ccdNums;
  vector<GtiList> _gtiLists;
  int _targetCCD;
  Xmm::Instrument _instrument;
};

#endif
